Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List deal comments

GET/workspaces/{organizationId}/deals/{dealId}/comments
Path parameters
organizationIdstringrequired
dealIdstringrequired
Responses
200

Record comments

commentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
entityTypestring | nullrequired
entityIdstring | nullrequired
authorIdstring | nullrequired
bodystringrequired
internalbooleanrequired
externalIdstring | nullrequired
externalSourcestring | nullrequired
externalAuthorstring | nullrequired
resolvedAtstring | nullrequired
resolvedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Record not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/deals/string/comments' \
  -H 'Accept: application/json'
Response
{
  "comments": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "string",
      "entityId": "string",
      "authorId": "string",
      "body": "string",
      "internal": true,
      "externalId": "string",
      "externalSource": "string",
      "externalAuthor": "string",
      "resolvedAt": "string",
      "resolvedById": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?